{
  inputs,
  config,
  lib,
  pkgs,
  fetchFromGitHub,
  ...
}:
let
  cfg = config.modules.tmux;
in
{
  options.modules.tmux = {
    enable = lib.mkEnableOption "tmux";
  };
  config.programs.tmux = lib.mkIf cfg.enable {
    enable = true;
    plugins = with pkgs.tmuxPlugins; [
      sensible
      minimal-tmux-status
    ];
    extraConfig = ''
            set-option -g default-terminal "xterm-256color"
      			set -a terminal-features "xterm-256color:RGB"
            set -g status-bg black
            set -g status-fg white
    '';
  };
}
